* Income inequality between men and women in Germany (GSOEP-data)
* ---------------------------------------------------------------

version 9
set more off
capture log close
log using an2, replace

* Data: GSOEP 1997, Sample         
use data1, clear                            // -> Note 1 
drop ymove - np9507

* Descriptive statistic of income
summarize income
mvdecode income, mv(0=.a)                   // -> Note 2 
sort gender
by gender:  summarize income
summarize income, detail

* Employment by gender
label define emplb 1 "Vollzeit" 2 "Teilzeit" 3 "Umschulung" ///
  4 "Unregelm." 5 "Arbeitslos" 6 "Wehrd." 7 "N. erwerbst.", modify
label values emp emplb
tabulate emp gender, colum nofreq               // -> Note 3 

* Preparation for the regression analysis
generate men = gender == 1                      // gender 
generate fulltime = emp == 1                    // fulltime vs. part-time 
replace fulltime = . if emp >  2                // -> Note 4 

* Regression analysis I
regress income men fulltime

* Preparation regression analysis II
generate age = 1997 - ybirth                    // age 
egen miss = rowmiss(income fulltime men age)
summarize age if miss==0                        // -> Note 5 
generate age_z = age - r(mean) if miss == 0
gen agemen = age_z * men                        // age x gender 

* Regression analysis II
regress income men fulltime age_z agemen

log close
exit

Bemerkungen:
(1) GSOEP - Education-Sample und Verfremdet (Erzeugt mit crdata1.do).
(2) Ausschluss von Befragten mit Einkommen von Null
(3) Frauen sind hufiger Teilzeitbeschftigt -> Kontrolle 
(4) Hierdurch Ausschluss aller Nicht-Erwerbsttigen. 
(5) Zentrierung des Alters -- vgl. Aiken/West (1991)
