* Produces Graph-Overview for Chapter 6
* Author: kkstata@web.de

version 9.0
preserve

use data1.dta, clear
keep if hhsize==1

* Bar-Chart
graph bar sqm, over(area, label(angle(45))) title(Balkendiagramm) name(g1,replace) ///
   fysize(33) fxsize(33) nodraw 

* Pie-Chart
graph pie, over(area) title(Kuchendiagramm) name(g2,replace) ///
   nodraw

* Dot-Chart
graph dot (mean) sqm, over(area) title(Punktdiagramm) name(g3,replace) ///
   nodraw

* Box-and-Whisker-Plots
graph box sqm, over(area, label(angle(45))) title(Box-and-Whisker-Plot) name(g4,replace) /// 
   nodraw

* Twoway-Graphs
twoway scatter rent sqm, title(Streudiagramm) name(g5a,replace) nodraw
twoway function y=sin(x), range(1 20) title(Funktions-Plot)  name(g5b,replace) nodraw
twoway histogram rent, title(Histogramm) name(g5c,replace) nodraw
	
* Scatterplot-Matrix

graph matrix np0105 rent sqm, title(Scatterplot-Matrix) name(g6,replace) ///
  nodraw

* Combine them:

graph combine g2 g3, rows(1) name(ur, replace) fysize(33) nodraw
graph combine g4 g6, rows(2) name(ll, replace) fxsize(33) nodraw
graph combine g5a g5b g5c, rows(3) name(lr, replace) title(Twoway-Typen) nodraw
graph combine g1 ur ll lr, ysize(7) iscale(.5)
restore

exit
